# Get all Dot Phrases

```
GET 
/dot-phrases
```

Retrieve a list of user's Dot Phrases.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

A paginated list of Dot Phrases.

## Operation spec

```json
{
  "method": "get",
  "path": "/dot-phrases",
  "operationId": "get-user-dot-phrases",
  "parameters": [
    {
      "name": "cursor",
      "description": "The cursor you received in the next_cursor field to fetch the next page.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "limit",
      "description": "The amount of objects to retrieve, between 1 and 100.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "example": 10
      }
    },
    {
      "name": "order",
      "description": "This flag is used to get results sorted in ascending or descending order.",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "ASC",
          "DESC"
        ],
        "example": "DESC",
        "default": "ASC"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "A paginated list of Dot Phrases.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "type": "array",
                "items": {
                  "type": "object",
                  "description": "Dot phrase, also referred to as EHR (Electronic Health Record) macro, is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`).",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "description": "Unique identifier of the Dot Phrase."
                    },
                    "title": {
                      "type": "string",
                      "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                      "example": "Normal physical exam"
                    },
                    "trigger": {
                      "type": "string",
                      "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                      "example": "Your physical exam is normal"
                    },
                    "content_auto_update_enabled": {
                      "type": "boolean",
                      "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                      "example": false
                    },
                    "replacement": {
                      "type": "string",
                      "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                      "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
                    }
                  },
                  "required": [
                    "id",
                    "title",
                    "trigger",
                    "content_auto_update_enabled",
                    "replacement"
                  ],
                  "title": "dot_phrase"
                }
              },
              "has_more": {
                "type": "boolean",
                "example": true
              },
              "next_cursor": {
                "type": "string",
                "nullable": true,
                "description": "An opaque cursor to fetch the next page of the collection.",
                "title": "next_cursor"
              }
            },
            "required": [
              "data",
              "has_more"
            ]
          }
        }
      }
    }
  }
}
```
